Get Stocks Overview
/stocks/overview has rate limitation:
Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.
Stocks Overview
This endpoint delivers a comprehensive overview of stocks, particularly those related to the mining and energy sectors. It includes data on stock prices, market capitalization, changes, and performance indicators. The information helps investors and analysts make informed decisions regarding stock investments in the energy sector.
Authorization
ApiKeyAuth In: header
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/stocks/overview"{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/StocksOverviewData.json", "data": [ { "btcCorrelation": 0, "change24H": 0, "change24HPercent": 0, "companyName": "string", "currency": "string", "hum": 0, "marketCap": 0, "price1d": 0, "price30d": 0, "slug": "string", "ticker": "string", "type": "string", "volume": 0, "ytdChange": 0, "ytdChangePercent": 0 } ]}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}